//  File:  ExeJar\MainClass.java

//  How to Create an Exectuable JAR File Using RealJ:
//		1. Compile the Java source files under RealJ
//		2. Check to see that the resulting program executes correctly
//		3. Use  Tools | Jar Main Folder  to create a JAR archive called MainClass.jar
//		4. Check to see that the resulting JAR archive executes correctly by
//		   going to DOS and typing:   java -jar MainClass.jar [Enter]
//		5. Use a C compiler to compile the following program (Source is in Runner.c):
//				#include <stdio.h>
//				#include <process.h>
//				int main(void) { 
//				    execlp("java.exe", "java.exe", "-cp", "ExeJar.exe", "MainClass", NULL); 
//				    return 0; 
//				}
//		   producing Runner.exe.  Copy Runner.exe to the ..\ExeJar\ directory
//		6. Create the Executable JAR file by typing the following command in DOS:
//				copy /b Runner.exe+MainClass.jar ExeJar.exe
//		7. ExeJar.exe is now an Executable JAR file...  Run it as you would any
//		   other program -- double-click it

public class MainClass {
	
	public static void main(String[] args) {
		System.out.println("This is main in MainClass...");
		new AnotherClass();
		System.out.println("This is the end of main in MainClass...");
	}

}

class AnotherClass {

	AnotherClass() {
		System.out.println("This is the AnotherClass constructor...");
		Blob b = new Blob();
		b.aBlobMethod();
		System.out.println("This is the end of the AnotherClass constructor...");
	}

}
